home *** CD-ROM | disk | FTP | other *** search
/ Chip 2007 January, February, March & April / Chip-Cover-CD-2007-02.iso / Pakiet bezpieczenstwa / mini Pentoo LiveCD 2006.1 / mpentoo-2006.1.iso / livecd.squashfs / usr / sbin / tgz2mo < prev    next >
Text File  |  2006-05-11  |  668b  |  30 lines

  1. #!/bin/bash
  2. # convert Slackware's TGZ package into .MO compressed file
  3. # which can be used as a LiveCD module
  4. #
  5. # Author: Tomas M. <http://www.linux-live.org>
  6. #
  7.  
  8. if [ "$1" = "" -o "$2" = "" ]; then
  9.    echo
  10.    echo "Convert Slackware's TGZ package into .MO compressed module"
  11.    echo "usage: $0 source_filename.tgz output_file.mo"
  12.    exit 1
  13. fi
  14.  
  15. if [ -a ./liblinuxlive ]; then
  16.    . ./liblinuxlive
  17. else
  18.    . /usr/lib/liblinuxlive || exit 1
  19. fi
  20.  
  21. TMPDIR=/tmp/tgz2mo$$
  22.  
  23. installpkg -root $TMPDIR $1
  24. if [ $? != 0 ]; then echo "error installing package"; exit; fi
  25.  
  26. create_module $TMPDIR "$2"
  27. if [ $? != 0 ]; then echo "error building compressed image"; exit; fi
  28.  
  29. rm -Rf $TMPDIR
  30.